SobolBrownianGenerator Class Reference

Sobol Brownian generator for market-model simulations. More...

`#include <ql/models/marketmodels/browniangenerators/sobolbrowniangenerator.hpp>`

Inherits BrownianGenerator.

## Public Types

enum | Ordering { Factors, Steps, Diagonal }

## Public Member Functions

| SobolBrownianGenerator (Size factors, Size steps, Ordering ordering, unsigned long seed=0, SobolRsg::DirectionIntegers directionIntegers=SobolRsg::Jaeckel)
Real | nextPath ()
Real | nextStep (std::vector< Real > &)
Size | numberOfFactors () const
Size | numberOfSteps () const
const std::vector< std::vector< Size > > & | orderedIndices () const
std::vector< std::vector< Real > > | transform (const std::vector< std::vector< Real > > &variates)

## Detailed Description

Sobol Brownian generator for market-model simulations.

Incremental Brownian generator using a Sobol generator, inverse-cumulative Gaussian method, and Brownian bridging.

## Member Enumeration Documentation

## Ordering

enum Ordering

Enumerator
Factors | The variates with the best quality will be used for the evolution of the first factor.
Steps | The variates with the best quality will be used for the largest steps of all factors.
Diagonal | A diagonal schema will be used to assign the variates with the best quality to the most important factors and the largest steps.